Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml
Class SbmlModelWriter_L1

    java.lang.Object
      biouml.plugins.sbml.SbmlConstants
          biouml.plugins.sbml.SbmlSupport
              biouml.plugins.sbml.SbmlModelWriter
                  biouml.plugins.sbml.SbmlModelWriter_L1

Direct Known Subclasses:
  SbmlModelWriter_11, SbmlModelWriter_12

public class SbmlModelWriter_L1
extends SbmlModelWriter

Field Summary

Fields inherited from class biouml.plugins.sbml.SbmlModelWriter
`compartmentList, document, doProductStub, doReactantStub, speciesListElement`

Fields inherited from class biouml.plugins.sbml.SbmlSupport
`diagram, emodel, log, modelName`

Fields inherited from class biouml.plugins.sbml.SbmlConstants
`ANNOTATION_ELEMENT, ASSIGNEMENT_ELEMENT, ASSIGNEMENT_LIST_ELEMENT, ASSIGNEMENT_VARIABLE_ATTR, BIOUML_COMPARTMENT_INFO_ELEMENT, BIOUML_EDGE_INFO_ELEMENT, BIOUML_NODE_INFO_ELEMENT, BIOUML_SPECIE_INFO_ELEMENT, BIOUML_SPECIE_TYPE_ATTR, BIOUML_XMLNS_ATTR, BIOUML_XMLNS_VALUE, COMPARTMENT_ATTR, COMPARTMENT_DIMENTION_ATTR, COMPARTMENT_ELEMENT, COMPARTMENT_LIST_ELEMENT, COMPARTMENT_OUTSIDE_ATTR, COMPARTMENT_VOLUME_ATTR, CONSTANT_ATTR, DELAY_ELEMENT, DENOMINATOR_ATTR, EVENT_ELEMENT, EVENT_LIST_ELEMENT, FORMULA_ATTR, FUNCTION_DEFINITION_ELEMENT, FUNCTION_LIST_ELEMENT, ID_ATTR, KINETIC_LAW_ELEMENT, MATH_ATTR, MATH_ELEMENT, MODEL_ELEMENT, MODIFIER_LIST_ELEMENT, NAME_ATTR, NOTES_ELEMENT, PARAMETER_ELEMENT, PARAMETER_LIST_ELEMENT, PARAMETER_VALUE_ATTR, PRODUCT_LIST_ELEMENT, PRODUCT_STUB, REACTANT_LIST_ELEMENT, REACTANT_STUB, REACTION_ELEMENT, REACTION_FAST_ATTR, REACTION_LIST_ELEMENT, REACTION_REVERSIBLE_ATTR, RULE_ALGEBRAIC_ELEMENT, RULE_ASSIGNEMENT_ELEMENT, RULE_COMMENT_ATTR, RULE_COMPARTMENT_VOLUME_ELEMENT, RULE_FORMULA_ATTR, RULE_LIST_ELEMENT, RULE_PARAMETER_ELEMENT, RULE_RATE_ELEMENT, RULE_SPECIE_CONCENTRATION_ELEMENT, RULE_VARIABLE_ATTR, SBML_ELEMENT, SBML_LEVEL_ATTR, SBML_LEVEL_VALUE_1, SBML_LEVEL_VALUE_2, SBML_VERSION_ATTR, SBML_VERSION_VALUE_1, SBML_VERSION_VALUE_2, SBML_XMLNS_VALUE, SPECIE_ATTR, SPECIE_ATTR_11, SPECIE_BOUNDARY_CONDITION_ATTR, SPECIE_CHARGE_ATTR, SPECIE_DEFAULT_SUBSTANCE_UNITS, SPECIE_ELEMENT, SPECIE_ELEMENT_11, SPECIE_HAS_ONLY_SUBSTANCE_UNITS_ATTR, SPECIE_INITIAL_AMOUNT_ATTR, SPECIE_INITIAL_CONCENTRATION_ATTR, SPECIE_LIST_ELEMENT, SPECIE_REFERENCE_ELEMENT, SPECIE_REFERENCE_ELEMENT_11, SPECIE_SPATIAL_SIZE_UNITS_ATTR, SPECIE_SUBSTANCE_UNITS_ATTR, STOICHIOMETRY_ATTR, STOICHIOMETRY_MATH_ELEMENT, SUBSTANCE_UNITS_ATTR, TIME_UNITS_ATTR, TRIGGER_ELEMENT, TYPE_ATTR, UNIT_LIST_ELEMENT, UNIT_SUBSTANCE, UNIT_TIME, UNIT_VOLUME, UNITS_ATTR, XMLNS_ATTR`

Constructor Summary
`SbmlModelWriter_L1()`

Method Summary
`protected org.w3c.dom.Element` | `createSpecieElement()`
`protected void` | `initContext()` Initializes context of the writer.
`static boolean` | `isValidModel(Diagram diagram)` Checks if the model represented by diagram is representable in SBML level 1 version 1 model.
`protected void` | `setId(org.w3c.dom.Element element, java.lang.String name)` Sets 'id' or 'name' attribute (according to level and version) equal to given string.
`protected void` | `setLevel(org.w3c.dom.Element sbmlElement)`
`protected void` | `setVersion(org.w3c.dom.Element sbmlElement)`
`protected boolean` | `validCompartmentList(java.util.List compartmentList)` Returns true if compartment list is valid according to given version of SBML specification.
`protected boolean` | `validReaction(Node reaction)` Returns true if reaction is valid according to given version of SBML specification.
`protected org.w3c.dom.Element` | `writeCompartmentList(org.w3c.dom.Element model)`
`protected void` | `writeEventList(org.w3c.dom.Element model)`
`protected void` | `writeFormula(java.lang.String formula, Node reaction, org.w3c.dom.Element kineticLawElement)`
`protected void` | `writeFunctionDefinitionList(org.w3c.dom.Element model)` Function definitions are only supported since level 2
`protected org.w3c.dom.Element` | `writeReactionList(org.w3c.dom.Element model)`
`protected void` | `writeRuleList(org.w3c.dom.Element model)` Writes list of rules, that are not rules derived from reactions
`protected org.w3c.dom.Element` | `writeSpecieList(org.w3c.dom.Element model)`
`protected void` | `writeStoichiometry(org.w3c.dom.Element specieReferenceElement, SpecieReference species, Node reaction)`
`protected void` | `writeUnitList(org.w3c.dom.Element model)`

Methods inherited from class biouml.plugins.sbml.SbmlModelWriter
`createDOM, fillCompartmentList, parseAsSpecie, writeCompartment, writeDiagram, writeKineticLaw, writeNotes, writeParameter, writeParameterList, writeProducts, writeReactants, writeReaction, writeReactionList, writeSpecie, writeSpecieList, writeSpecieReferences, writeSpecieStub, writeStubReference`

Methods inherited from class biouml.plugins.sbml.SbmlSupport
`error, getElement, parseAsCompartment, parseAsParameter, parseFormula, readXhtml, warn, writeXhtml`

Methods inherited from class biouml.plugins.sbml.SbmlConstants
`DEFAULT_SPATIAL_SIZE_UNITS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SbmlModelWriter_L1

    public SbmlModelWriter_L1()

Method Detail

### initContext

    protected void initContext()

  Description copied from class: `SbmlModelWriter`
  Initializes context of the writer.

  Specified by:
    `initContext` in class `SbmlModelWriter`

### createSpecieElement

    protected org.w3c.dom.Element createSpecieElement()

  Specified by:
    `createSpecieElement` in class `SbmlModelWriter`

### setLevel

    protected void setLevel(org.w3c.dom.Element sbmlElement)

  Specified by:
    `setLevel` in class `SbmlModelWriter`

### setVersion

    protected void setVersion(org.w3c.dom.Element sbmlElement)

  Specified by:
    `setVersion` in class `SbmlModelWriter`

### setId

    protected void setId(org.w3c.dom.Element element,
                         java.lang.String name)

  Description copied from class: `SbmlModelWriter`
  Sets 'id' or 'name' attribute (according to level and version) equal to given string.

  Specified by:
    `setId` in class `SbmlModelWriter`

### validCompartmentList

    protected boolean validCompartmentList(java.util.List compartmentList)

  Description copied from class: `SbmlModelWriter`
  Returns true if compartment list is valid according to given version of SBML specification.

  Specified by:
    `validCompartmentList` in class `SbmlModelWriter`

### validReaction

    protected boolean validReaction(Node reaction)

  Description copied from class: `SbmlModelWriter`
  Returns true if reaction is valid according to given version of SBML specification.

  Specified by:
    `validReaction` in class `SbmlModelWriter`

### writeFunctionDefinitionList

    protected void writeFunctionDefinitionList(org.w3c.dom.Element model)

  Description copied from class: `SbmlModelWriter`
  Function definitions are only supported since level 2

  Specified by:
    `writeFunctionDefinitionList` in class `SbmlModelWriter`

### writeUnitList

    protected void writeUnitList(org.w3c.dom.Element model)

  Specified by:
    `writeUnitList` in class `SbmlModelWriter`
  To do:
    Implement it together with all unit stuff

### writeRuleList

    protected void writeRuleList(org.w3c.dom.Element model)

  Description copied from class: `SbmlModelWriter`
  Writes list of rules, that are not rules derived from reactions

  Specified by:
    `writeRuleList` in class `SbmlModelWriter`

### writeEventList

    protected void writeEventList(org.w3c.dom.Element model)

  Specified by:
    `writeEventList` in class `SbmlModelWriter`

### writeFormula

    protected void writeFormula(java.lang.String formula,
                                Node reaction,
                                org.w3c.dom.Element kineticLawElement)

  Specified by:
    `writeFormula` in class `SbmlModelWriter`

### writeCompartmentList

    protected org.w3c.dom.Element writeCompartmentList(org.w3c.dom.Element model)

  Overrides:
    `writeCompartmentList` in class `SbmlModelWriter`

### writeSpecieList

    protected org.w3c.dom.Element writeSpecieList(org.w3c.dom.Element model)

  Overrides:
    `writeSpecieList` in class `SbmlModelWriter`

### writeReactionList

    protected org.w3c.dom.Element writeReactionList(org.w3c.dom.Element model)

  Overrides:
    `writeReactionList` in class `SbmlModelWriter`

### writeStoichiometry

    protected void writeStoichiometry(org.w3c.dom.Element specieReferenceElement,
                                      SpecieReference species,
                                      Node reaction)

### isValidModel

    public static boolean isValidModel(Diagram diagram)

  Checks if the model represented by diagram is representable in SBML level 1 version 1 model.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.